<template>
  <div
    class="relative flex flex-row justify-between items-center py-[1.25rem] px-4 gap-[35px] app-header-bg"
  >
    <div class="w-[20px] h-[20px]">
      <div class="w-full h-full" @click="goBack">
        <font-awesome-icon
          class="w-full h-full"
          icon="chevron-left"
          size="xl"
        />
      </div>
    </div>
    <span
      class="h-[19px] font-bold text-[18px] leading-[19px]"
    >
      {{ $t(title) }}
    </span>
    <div class="w-6 h-6"></div>
  </div>
</template>

<script setup lang="ts">
import { computed } from "vue";
import useOnBack from "@/composables/useOnBack";

defineProps({
  title: {
    type: String,
    default: "",
  },
});

const { previousRoute } = useOnBack();
const route = useRoute();
const router = useRouter();
const backRoute = computed(() =>
  previousRoute.value === "" ? "index" : "profile"
);
const goBack = () => {
  const prevRoute = router.options.history.state.back;
  if (!prevRoute) {
    router.push("/");
  } else {
    router.push(`${prevRoute}`);
  }
};
</script>
